- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ImR_Activator_i Class Reference

IMR Activator Interface. More...

`#include <ImR_Activator_i.h>`

Inheritance diagram for ImR_Activator_i:

[legend]
Collaboration diagram for ImR_Activator_i:

[legend]
List of all members.

## Public Member Functions
| ImR_Activator_i (void)
void | start_server (const char *name, const char *cmdline, const char *dir, const ImplementationRepository::EnvironmentList &env ACE_ENV_ARG_DECL) throw (CORBA::SystemException, ImplementationRepository::CannotActivate)
void | shutdown (ACE_ENV_SINGLE_ARG_DECL) throw (CORBA::SystemException)
int | init (Activator_Options &opts ACE_ENV_ARG_DECL_WITH_DEFAULTS)
| Initialize the Server state - parsing arguments and waiting.
int | fini (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)
| Cleans up any state created by init*.
int | run (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)
| Runs the orb.
void | shutdown (bool wait_for_completion ACE_ENV_ARG_DECL)
| Shutdown the orb.
## Private Types
typedef ACE_Hash_Map_Manager_Ex< pid_t, ACE_CString, ACE_Hash_pid_t, ACE_Equal_To_pid_t, ACE_Null_Mutex > | ProcessMap
## Private Member Functions
int | init_with_orb (CORBA::ORB_ptr orb, const Activator_Options &opts ACE_ENV_ARG_DECL_WITH_DEFAULTS)
void | register_with_imr (ImplementationRepository::Activator_ptr activator)
int | handle_exit (ACE_Process *process)
## Private Attributes
ACE_Process_Manager | process_mgr_
PortableServer::POA_var | root_poa_
PortableServer::POA_var | imr_poa_
ImplementationRepository::Locator_var | locator_
CORBA::Long | registration_token_
CORBA::ORB_var | orb_
unsigned int | debug_
bool | notify_imr_
ACE_CString | name_
ProcessMap | process_map_

## Detailed Description

IMR Activator Interface.

This class provides the interface for the various activities that can be done by the ImR_Activator.

## Member Typedef Documentation

typedef ACE_Hash_Map_Manager_Ex<pid_t, ACE_CString, ACE_Hash_pid_t, ACE_Equal_To_pid_t, ACE_Null_Mutex> ImR_Activator_i::ProcessMap`[private]`

## Constructor & Destructor Documentation

ImR_Activator_i::ImR_Activator_i | ( | void |  | ) |

## Member Function Documentation

int ImR_Activator_i::fini | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) |

Cleans up any state created by init*.

int ImR_Activator_i::handle_exit | ( | ACE_Process * | process | ) | `[private, virtual]`

Reimplemented from ACE_Event_Handler.

int ImR_Activator_i::init | ( | Activator_Options &opts | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) |

Initialize the Server state - parsing arguments and waiting.

int ImR_Activator_i::init_with_orb | ( | CORBA::ORB_ptr | orb,
|  | const Activator_Options &opts | ACE_ENV_ARG_DECL_WITH_DEFAULTS |
| ) |  |  | `[private]`

void ImR_Activator_i::register_with_imr | ( | ImplementationRepository::Activator_ptr | activator | ) | `[private]`

int ImR_Activator_i::run | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) |

Runs the orb.

void ImR_Activator_i::shutdown | ( | bool wait_for_completion | ACE_ENV_ARG_DECL | ) |

Shutdown the orb.

void ImR_Activator_i::shutdown | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw (CORBA::SystemException)

void ImR_Activator_i::start_server | ( | const char * | name,
|  | const char * | cmdline,
|  | const char * | dir,
|  | const ImplementationRepository::EnvironmentList &env | ACE_ENV_ARG_DECL |
| ) |  |  | throw (CORBA::SystemException, ImplementationRepository::CannotActivate)

## Member Data Documentation

unsigned int ImR_Activator_i::debug_`[private]`

PortableServer::POA_var ImR_Activator_i::imr_poa_`[private]`

ImplementationRepository::Locator_var ImR_Activator_i::locator_`[private]`

ACE_CString ImR_Activator_i::name_`[private]`

bool ImR_Activator_i::notify_imr_`[private]`

CORBA::ORB_var ImR_Activator_i::orb_`[private]`

ProcessMap ImR_Activator_i::process_map_`[private]`

ACE_Process_Manager ImR_Activator_i::process_mgr_`[private]`

CORBA::Long ImR_Activator_i::registration_token_`[private]`

We're given a token when registering with the locator, which we must use when unregistering.

PortableServer::POA_var ImR_Activator_i::root_poa_`[private]`

The documentation for this class was generated from the following files:

- ImR_Activator_i.h
- ImR_Activator_i.cpp